# A testing guide and test reporting form for testers of the OpenAppStack project

Great that you want to take OpenAppStack for a test drive.
This tutorial contains instructions to get you going,
some pointers on what we think would be useful to test, and guesses at what results of those tests would be
useful to write down.
At any point please feel invited to test whatever functionality you come across, and reporting whatever you
think is interesting. Our contact details are listed [here](https://openappstack.net/contact.html), and we'll
descibe how to give feedback via our issue tracker at the [end of these instructions](#providing-feedback).

During these instructions, please replace *example.org* with your own domain
name.

## Installation

First we'd like you to setup an OpenAppStack cluster by yourself, following the
[installation tutorial](https://docs.openappstack.net/en/latest/installation_instructions.html).

## Command line tests

Please run the [command line tests](troubleshooting.md) which checks the overall
functionality of your cluster and include the output in your feedback.

## User panel

Please open https://admin.oas.example.org in the browser. You should see
"Welcome to OpenAppStack" and a Login button. Please try logging in.

An admin user was generated with the username `admin`. The password is saved in
`clusters/my-cluster/secrets/userbackend_admin_password` in the OpenAppStack
directory on your local machine.

After logging in to the user panel, please try to make a new user. Don't forget
to give it a username and password, and press "Save" afterwards.

## Nextcloud

### Logging into Nextcloud

Please browse to https://files.oas.example.org and try to log in. You should
have a buttin saying "Login with OpenAppStack". Try that button. Please try
logging in with your admin account, as well as the user you created in the user
panel.

### Nextcloud client application

* If you feel like it, please try the [Nextcloud desktop client](https://nextcloud.com/clients/), connect it to your OpenAppStack instance, and use it to manage some files.
* If you feel like it, please try the [Nextcloud mobile client](https://nextcloud.com/clients/) for your smartphone, connect it to your OpenAppStack instance, and use it to download and/or open some files, upload a new file, etc.


## ONLYOFFICE

### Creating a new office document

From the main Nextcloud webpage, please try to create a new office document, by clicking the round `plus` button near the top of the screen, then picking the `Document` type with the blue icon (third one from below on my screen), and enter a name for it. After that, please try some basic editing of the document, and save it. Maybe check you can open it again afterwards, and that it has the contents that you saved earlier.

### Collaborating on an office document

This part of the test requires the cooperation of another person; feel free to skip it now if that's not convenient at this point.

* First, try to share your document with a different user.
* Then, try to open the shared document from a few different user accounts simultaneously, and let all participants edit the document mercilessly. There are also some collaboration features that you may want to try: on the left of the OnlyOffice screen there are buttons for chat and for text comments.

## Rocket.Chat

You can find Rocket.Chat at https://chat.oas.example.org. Please go there and
try to log in.

Note that at the moment we have not integrated Rocket.Chat with the single
sign-on system yet. You can only sign in with the automatically created
administrator account. The username is `admin` and the password can be found in
`clusters/my-cluster/secrets/rocketchat_admin_password`

## Providing feedback

If you have not done already, please create an account on [https://open.greenhost.net](https://open.greenhost.net)
(or login with your existing github account) and [create a new issue](https://open.greenhost.net/openappstack/openappstack/issues/new) using the `Feedback` template.

Thanks a lot for your testing work! We'll use your input to try to improve OpenAppStack.
